## maliit-framework 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(maliit-framework VERSION 2.2.1)

# Build options

option(enable-docs "Build documentation" ON)
option(enable-tests "Build tests" ON)
option(enable-examples "Build examples" OFF)

option(enable-glib "Build GLib support" ON)

option(enable-xcb "Compile with xcb support" ON)
option(enable-wayland "Compile with support for wayland" ON)
option(enable-wayland-gtk "Compile with support for wayland gtk+" OFF)
option(enable-qt5-inputcontext "Compile with Qt 5 input context" ON)

option(enable-hwkeyboard "Enable support for the hardware keyboard" ON)
option(enable-dbus-activation "Enable dbus activation support for maliit-server" OFF)

# Install paths
include(GNUInstallDirs)

if(NOT DEFINED QT5_PLUGINS_INSTALL_DIR)
    set(QT5_PLUGINS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/plugins" CACHE PATH
            "Installation directory for Qt 5 plugins [LIB_INSTALL_DIR/qt5/plugins]")
endif()

if(NOT DEFINED QT5_MKSPECS_INSTALL_DIR)
    set(QT5_MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs" CACHE PATH
            "Installation directory for Qt 5 mkspecs files [LIB_INSTALL_DIR/qt5/mkspecs]")
endif()

if(NOT DEFINED GTK3_PLUGINS_INSTALL_DIR)
    set(GTK3_PLUGINS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/gtk-3.0/3.0.0" CACHE PATH
            "Installation directory for Gtk 3 plugins [LIB_INSTALL_DIR/gtk-3.0/3.0.0]")
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(PkgConfig REQUIRED)

find_package(Qt5Core)
find_package(Qt5DBus)
find_package(Qt5Gui REQUIRED PRIVATE)
find_package(Qt5Quick)

if(enable-wayland)
    find_package(WaylandProtocols REQUIRED PRIVATE)
    find_package(QtWaylandScanner REQUIRED)
    find_package(Wayland REQUIRED)
    find_package(Qt5WaylandClient 5.14 REQUIRED PRIVATE)
    find_package(Qt5XkbCommonSupport REQUIRED PRIVATE)
    pkg_check_modules(XKBCOMMON REQUIRED IMPORTED_TARGET xkbcommon)
    find_package(Gtk3)
endif()

include_directories(src common)

add_library(maliit-common STATIC
            common/maliit/namespace.h
            common/maliit/namespaceinternal.h
            common/maliit/settingdata.cpp
            common/maliit/settingdata.h)
target_link_libraries(maliit-common Qt5::Core)
target_include_directories(maliit-common PUBLIC common)

set(CONNECTION_SOURCES
    connection/connectionfactory.cpp
    connection/connectionfactory.h
    connection/dbuscustomarguments.cpp
    connection/dbuscustomarguments.h
    connection/dbusinputcontextconnection.cpp
    connection/dbusinputcontextconnection.h
    connection/dbusserverconnection.cpp
    connection/dbusserverconnection.h
    connection/inputcontextdbusaddress.cpp
    connection/inputcontextdbusaddress.h
    connection/mimserverconnection.cpp
    connection/mimserverconnection.h
    connection/minputcontextconnection.cpp
    connection/minputcontextconnection.h
    connection/serverdbusaddress.cpp
    connection/serverdbusaddress.h)

if(enable-wayland)
    list(APPEND CONNECTION_SOURCES
         connection/waylandinputmethodconnection.cpp
         connection/waylandinputmethodconnection.h)

    ecm_add_qtwayland_client_protocol(CONNECTION_SOURCES PROTOCOL ${WAYLANDPROTOCOLS_PATH}/unstable/input-method/input-method-unstable-v1.xml BASENAME input-method-unstable-v1)

    add_definitions(-DHAVE_WAYLAND)
endif()

set_source_files_properties(dbus_interfaces/minputmethodcontext1interface.xml dbus_interfaces/minputmethodserver1interface.xml
                            PROPERTIES INCLUDE maliit/settingdata.h)

qt5_add_dbus_adaptor(CONNECTION_SOURCES dbus_interfaces/minputmethodcontext1interface.xml dbusserverconnection.h DBusServerConnection)
qt5_add_dbus_adaptor(CONNECTION_SOURCES dbus_interfaces/minputmethodserver1interface.xml dbusinputcontextconnection.h DBusInputContextConnection)

qt5_add_dbus_interface(CONNECTION_SOURCES dbus_interfaces/minputmethodcontext1interface.xml minputmethodcontext1interface_interface)
qt5_add_dbus_interface(CONNECTION_SOURCES dbus_interfaces/minputmethodserver1interface.xml minputmethodserver1interface_interface)

add_library(maliit-connection STATIC ${CONNECTION_SOURCES})
target_link_libraries(maliit-connection Qt5::Core Qt5::DBus Qt5::Gui maliit-common)
if(enable-wayland)
    target_link_libraries(maliit-connection Wayland::Client PkgConfig::XKBCOMMON)
    target_include_directories(maliit-connection PRIVATE ${Qt5WaylandClient_PRIVATE_INCLUDE_DIRS})
endif()
target_include_directories(maliit-connection PUBLIC connection)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

set(PLUGINS_SOURCES
    src/maliit/plugins/abstractinputmethod.cpp
    src/maliit/plugins/abstractinputmethod.h
    src/maliit/plugins/abstractinputmethodhost.cpp
    src/maliit/plugins/abstractinputmethodhost.h
    src/maliit/plugins/abstractpluginsetting.h
    src/maliit/plugins/attributeextension.cpp
    src/maliit/plugins/attributeextension.h
    src/maliit/plugins/attributeextension_p.h
    src/maliit/plugins/extensionevent.cpp
    src/maliit/plugins/extensionevent.h
    src/maliit/plugins/extensionevent_p.h
    src/maliit/plugins/inputmethodplugin.h
    src/maliit/plugins/keyoverride.cpp
    src/maliit/plugins/keyoverride.h
    src/maliit/plugins/keyoverride_p.h
    src/maliit/plugins/keyoverridedata.cpp
    src/maliit/plugins/keyoverridedata.h
    src/maliit/plugins/plugindescription.cpp
    src/maliit/plugins/plugindescription.h
    src/maliit/plugins/subviewdescription.cpp
    src/maliit/plugins/subviewdescription.h
    src/maliit/plugins/updateevent.cpp
    src/maliit/plugins/updateevent.h
    src/maliit/plugins/updateevent_p.h
    src/maliit/plugins/updatereceiver.cpp
    src/maliit/plugins/updatereceiver.h
    src/maliit/standaloneinputmethod.cpp
    src/maliit/standaloneinputmethod.h
    src/maliit/standaloneinputmethodhost.cpp
    src/maliit/standaloneinputmethodhost.h
    src/quick/inputmethodquick.cpp
    src/quick/inputmethodquick.h
    src/quick/inputmethodquickplugin.cpp
    src/quick/inputmethodquickplugin.h
    src/quick/keyoverridequick.cpp
    src/quick/keyoverridequick.h
    src/quick/keyoverridequick_p.h
    src/quick/maliitquick.h
    src/abstractplatform.cpp
    src/abstractplatform.h
    src/mattributeextensionid.cpp
    src/mattributeextensionid.h
    src/mattributeextensionmanager.cpp
    src/mattributeextensionmanager.h
    src/mimhwkeyboardtracker.h
    src/mimonscreenplugins.cpp
    src/mimonscreenplugins.h
    src/mimpluginmanager.cpp
    src/mimpluginmanager.h
    src/mimpluginmanager_p.h
    src/mimserver.cpp
    src/mimserver.h
    src/mimserveroptions.cpp
    src/mimserveroptions.h
    src/mimsettings.cpp
    src/mimsettings.h
    src/mimsettingsqsettings.cpp
    src/mimsettingsqsettings.h
    src/mimsubviewoverride.cpp
    src/mimsubviewoverride.h
    src/minputmethodhost.cpp
    src/minputmethodhost.h
    src/msharedattributeextensionmanager.cpp
    src/msharedattributeextensionmanager.h
    src/unknownplatform.cpp
    src/unknownplatform.h
    src/windowdata.cpp
    src/windowdata.h
    src/windowgroup.cpp
    src/windowgroup.h)

if(enable-xcb)
    list(APPEND PLUGINS_SOURCES
         src/xcbplatform.cpp
         src/xcbplatform.h)
    find_package(XCB REQUIRED xfixes)
    list(APPEND PLUGINS_INCLUDE_DIRS ${XCB_INCLUDE_DIRS})
    list(APPEND PLUGINS_LIBRARIES ${XCB_LIBRARIES})
    add_definitions(-DHAVE_XCB)
endif()

if(enable-wayland)
    list(APPEND PLUGINS_SOURCES
         src/waylandplatform.cpp
         src/waylandplatform.h)

endif()

if(enable-hwkeyboard)
    list(APPEND PLUGINS_SOURCES
         src/mimhwkeyboardtracker.cpp
         src/mimhwkeyboardtracker_p.h)
    find_package(UDev REQUIRED)
    list(APPEND PLUGINS_LIBRARIES UDev::UDev)
else()
    list(APPEND PLUGINS_SOURCES src/mimhwkeyboardtracker_stub.cpp)
endif()

add_library(maliit-plugins SHARED ${PLUGINS_SOURCES} ${PLUGINS_HEADER})
target_link_libraries(maliit-plugins PRIVATE maliit-common maliit-connection ${PLUGINS_LIBRARIES})
target_link_libraries(maliit-plugins PUBLIC Qt5::Core Qt5::Gui Qt5::Quick)
target_include_directories(maliit-plugins PRIVATE ${PLUGINS_INCLUDE_DIRS})

set_target_properties(maliit-plugins PROPERTIES SOVERSION ${PROJECT_VERSION_MAJOR}
        VERSION ${PROJECT_VERSION}
        EXPORT_NAME Maliit::Plugins)

if(enable-glib)
    find_package(GLib2)
    find_package(GIO)

    set(GLIB_SOURCES
        maliit-glib/maliitattributeextension.c
        maliit-glib/maliitattributeextension.h
        maliit-glib/maliitattributeextensionprivate.h
        maliit-glib/maliitattributeextensionregistry.c
        maliit-glib/maliitattributeextensionregistry.h
        maliit-glib/maliitbus.c
        maliit-glib/maliitbus.h
        maliit-glib/maliitbusprivate.h
        maliit-glib/maliitinputmethod.c
        maliit-glib/maliitinputmethod.h
        maliit-glib/maliitpluginsettings.c
        maliit-glib/maliitpluginsettings.h
        maliit-glib/maliitpluginsettingsprivate.h
        maliit-glib/maliitsettingdata.c
        maliit-glib/maliitsettingdata.h
        maliit-glib/maliitsettingsentry.c
        maliit-glib/maliitsettingsentry.h
        maliit-glib/maliitsettingsentryprivate.h
        maliit-glib/maliitsettingsmanager.c
        maliit-glib/maliitsettingsmanager.h)

    set_source_files_properties(maliit-glib/maliitmarshallers.list
            PROPERTIES PREFIX maliit_marshal)
    glib2_add_marshal(GLIB_SOURCES maliit-glib/maliitmarshallers.list)

    set_source_files_properties(dbus_interfaces/minputmethodcontext1interface.xml PROPERTIES
            INTERFACE_PREFIX com.meego
            NAMESPACE Maliit
            OUTPUT_NAME maliit-glib/maliitcontext)
    set_property(SOURCE dbus_interfaces/minputmethodcontext1interface.xml PROPERTY
            ANNOTATE com.meego.inputmethod.inputcontext1 org.gtk.GDBus.C.Name Context)

    gdbus_add_code(GLIB_SOURCES dbus_interfaces/minputmethodcontext1interface.xml)

    set_source_files_properties(dbus_interfaces/minputmethodserver1interface.xml PROPERTIES
            INTERFACE_PREFIX com.meego
            NAMESPACE Maliit
            OUTPUT_NAME maliit-glib/maliitserver)
    set_property(SOURCE dbus_interfaces/minputmethodserver1interface.xml PROPERTY
            ANNOTATE com.meego.inputmethod.uiserver1 org.gtk.GDBus.C.Name Server)
    gdbus_add_code(GLIB_SOURCES dbus_interfaces/minputmethodserver1interface.xml)

    add_library(maliit-glib SHARED ${GLIB_SOURCES} ${GLIB_HEADER})
    target_include_directories(maliit-glib PUBLIC ${GIO_INCLUDE_DIRS})
    target_link_libraries(maliit-glib ${GIO_LIBRARIES})
    set_target_properties(maliit-glib PROPERTIES SOVERSION ${PROJECT_VERSION_MAJOR}
            VERSION ${PROJECT_VERSION}
            EXPORT_NAME Maliit::GLib)
endif()

add_definitions(-DMALIIT_FRAMEWORK_USE_INTERNAL_API
                -DMALIIT_PLUGINS_DATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/maliit/plugins"
                -DMALIIT_EXTENSIONS_DIR="${CMAKE_INSTALL_FULL_DATADIR}/maliit-framework/extensions"
                -DMALIIT_CONFIG_ROOT="/maliit/"
                -DMALIIT_PLUGINS_DIR="${CMAKE_INSTALL_FULL_LIBDIR}/maliit/plugins"
                -DMALIIT_DEFAULT_HW_PLUGIN="libmaliit-keyboard-plugin.so"
                -DMALIIT_ENABLE_MULTITOUCH=true
                -DMALIIT_DEFAULT_PLUGIN="libmaliit-keyboard-plugin.so"
                -DMALIIT_DEFAULT_SUBVIEW="")

add_executable(maliit-server passthroughserver/main.cpp)
target_link_libraries(maliit-server maliit-plugins maliit-connection)

if(enable-qt5-inputcontext)
    set(INPUT_CONTEXT_SOURCES
            input-context/main.cpp
            input-context/minputcontext.cpp
            input-context/minputcontext.h)

    add_library(maliitplatforminputcontextplugin MODULE ${INPUT_CONTEXT_SOURCES})
    target_link_libraries(maliitplatforminputcontextplugin maliit-connection Qt5::Quick)
endif()

if(enable-wayland)
    set(INPUT_PANEL_SHELL_SOURCES
            src/qt/plugins/shellintegration/inputpanelshellplugin.cpp

=== debian/control ===
Source: maliit-framework
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libdbus-1-dev,
               libglib2.0-dev,
               libkf5wayland-dev,
               libmtdev-dev,
               libudev-dev,
               libwayland-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-xfixes0-dev,
               libxext-dev,
               pkg-config,
               pkg-kde-tools,
               qml-module-qtquick2,
               qtbase5-dev (>= 5.2),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://github.com/maliit/framework
Vcs-Browser: https://salsa.debian.org/debian/maliit-framework
Vcs-Git: https://salsa.debian.org/debian/maliit-framework.git
Rules-Requires-Root: no

Package: maliit-framework
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}, qml-module-qtquick-localstorage
Recommends: maliit-inputmethod-plugin
Breaks: gir1.2-maliit-1.0 (<< ${source:Version}),
        libmaliit-glib0 (<< ${source:Version}),
        libmaliit0 (<< ${source:Version}),
        maliit-dbus-activation (<< ${source:Version}),
        maliit-inputcontext-qt4 (<< ${source:Version})
Description: Maliit Input Method Framework
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).

Package: libmaliit-plugins2
Architecture: any
Breaks: maliit-framework (<< 0.99),
        libmaliit-plugins0,
Replaces: maliit-framework (<< 0.99),
          libmaliit-plugins0,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Maliit Input Method Framework - Plugin Library
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the maliit plugin library for the Maliit framework.

Package: maliit-framework-dev
Architecture: any
Section: libdevel
Depends: maliit-framework (= ${binary:Version}),
         ${misc:Depends},
Description: Maliit Input Method Framework - Development Files
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package is needed to compile plugins for the Maliit framework

Package: libmaliit-glib2
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Breaks: libmaliit-glib0,
Replaces: libmaliit-glib0,
Description: Maliit Input Method Framework - GLib Bindings
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib bindings for the Maliit framework.

Package: libmaliit-glib-dev
Depends: libmaliit-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Section: libdevel
Description: Maliit Input Method Framework - GLib Development Headers
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib development headers for the Maliit framework.

Package: maliit-framework-doc
Depends: libjs-jquery,
         ${misc:Depends},
Architecture: all
Section: doc
Description: docs for Maliit framework
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus.
 .
 Documentation for the framework of Maliit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# for stable-backports
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_install:
	# re-arrange files in doc:pkg
	mv debian/tmp/usr/share/doc/maliit-framework-doc debian/tmp/usr/share/doc/maliit-framework/html
	rm debian/tmp/usr/share/doc/maliit-framework/LICENSE.LGPL*

	# drop build path from generated .html files
	cd debian/tmp/usr/share/doc/maliit-framework/html && \
	    find . -type f | while read file; do \
	        sed -r -e 's@$(CURDIR)@@g' -i $$file; \
	    done

	# finally, run dh_install
	dh_install

override_dh_installexamples:
	dh_installexamples

	# drop Vcs control files from doc:pkg
	-find debian/maliit-framework-doc/ -name .gitignore -delete

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://github.com/maliit/framework/releases /maliit/framework/archive/refs/tags/(\d\S*).tar.gz

## maliit-framework 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(maliit-framework VERSION 2.2.1)
+project(maliit-framework VERSION 2.3.0)
 
 # Build options
 
 option(enable-docs "Build documentation" ON)
 option(enable-tests "Build tests" ON)
+option(install-tests "Install unit tests" OFF)
 option(enable-examples "Build examples" OFF)
 
 option(enable-glib "Build GLib support" ON)
 
 option(enable-xcb "Compile with xcb support" ON)
 option(enable-wayland "Compile with support for wayland" ON)
-option(enable-wayland-gtk "Compile with support for wayland gtk+" OFF)
 option(enable-qt5-inputcontext "Compile with Qt 5 input context" ON)
 
 option(enable-hwkeyboard "Enable support for the hardware keyboard" ON)
@@ -29,11 +29,6 @@
 if(NOT DEFINED QT5_MKSPECS_INSTALL_DIR)
     set(QT5_MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs" CACHE PATH
             "Installation directory for Qt 5 mkspecs files [LIB_INSTALL_DIR/qt5/mkspecs]")
-endif()
-
-if(NOT DEFINED GTK3_PLUGINS_INSTALL_DIR)
-    set(GTK3_PLUGINS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/gtk-3.0/3.0.0" CACHE PATH
-            "Installation directory for Gtk 3 plugins [LIB_INSTALL_DIR/gtk-3.0/3.0.0]")
 endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
@@ -55,7 +50,6 @@
     find_package(Qt5WaylandClient 5.14 REQUIRED PRIVATE)
     find_package(Qt5XkbCommonSupport REQUIRED PRIVATE)
     pkg_check_modules(XKBCOMMON REQUIRED IMPORTED_TARGET xkbcommon)
-    find_package(Gtk3)
 endif()
 
 include_directories(src common)
@@ -156,6 +150,8 @@
     src/quick/maliitquick.h
     src/abstractplatform.cpp
     src/abstractplatform.h
+    src/logging.cpp
+    src/logging.h
     src/mattributeextensionid.cpp
     src/mattributeextensionid.h
     src/mattributeextensionmanager.cpp
@@ -304,3 +300,4 @@
 if(enable-wayland)
     set(INPUT_PANEL_SHELL_SOURCES
             src/qt/plugins/shellintegration/inputpanelshellplugin.cpp
+            src/qt/plugins/shellintegration/qwaylandinputpanelshellintegration.cpp

=== debian/changelog ===
maliit-framework (2.3.0-8ubuntu1) resolute; urgency=high

  * Disable Qt6 build. FTBFS with Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Feb 2026 08:16:40 +0000

maliit-framework (2.3.0-8build3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Feb 2026 11:30:25 +0000

maliit-framework (2.3.0-8build2) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18 on amd64v3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Jan 2026 22:36:37 +0300

maliit-framework (2.3.0-8build1) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 12 Jan 2026 16:37:13 +0300

maliit-framework (2.3.0-8) unstable; urgency=medium

  * debian/control:
    + Drop alternative D: maliit-server-qt6-dev. Inappropriate for a purely
      transitional package.
    + Drop Priority: field.
    + Bump Standards-Version: to 4.7.3.
  * debian/patches:
    + Add 2001-obey-lomiri-focus.patch. Verify an application has focus before
      granting it input. (LP:#1594863, CVE-2016-1584).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Jan 2026 09:05:56 +0100

maliit-framework (2.3.0-7) unstable; urgency=medium

  * Upload via NEW (new bin:pkgs introduced).

  [ TheKit ]
  * debian/patches:
    + Import Qt6 compatibility patches from
      https://github.com/cordlandwehr/framework/tree/qt6-support_v2
  * debian/control:
    + Add co-installable maliit-framework packages built with Qt6
  * debian/rules:
    + Build both Qt5 and Qt6 versions of maliit-framework

  [ Mike Gabriel ]
  * debian/control:
    + Split maliit-server binary from inputcontext plugins for Qt.
    + Rework SYNOPSIS and LONG_DESCRIPTION fields.
    + Make maliit-framework-dev a transitional package, pulling in maliit-
      framework-qt5-dev (preferred) or maliit-server-qt6-dev.
    + Drop from D: (maliit-server-qt5): qml-module-qtquick-localstorage. (No
      clue why this got added in earlier times).
    + Assure that same-version libmaliit{,6}-plugins2 is installed with maliit-
      server-qt{5,6} bin:pkg.
    + Assure that same-version libmaliit{,6}-plugins2 is installed with maliit-
      framework-dev-qt{5,6} dev:pkg.
    + Let maliit-server-qt{5,6} recommend the maliit-framework meta package (so
      inputcontext modules get installed).
    + Reorder bin:pkgs.
  * debian/xinput/maliit:
    + Try to handle maliit{,6}-server startup kind of intelligently for X11
      session startup (prefer maliit6-server, if not available use maliit-
      server, if that's neither available, do not set IM_MODULE contexts.
    + For now, prefer Qt5 server variant over the Qt6 variant for now.
  * debian/copyright:
    + Use new FSF mailing address.
    + Update copyright attributions for debian/.
  * debian/patches:
    + Fix grammar issue in header of 0013-Make-shared-libraries-
      coinstallable.patch.
    + Fix typo in header of 0008-Enforce-Qt-version-in-public-link-
      interface.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Nov 2025 16:42:06 +0100

maliit-framework (2.3.0-6) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Add more Multi-Arch: {same,foreign} declarations. Thanks, Multi-Arch
      Hinter.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Aug 2025 16:46:27 +0200

maliit-framework (2.3.0-5) unstable; urgency=medium

  * debian/patches:
    + Add 1001_input-context-look-for-inputMethodExtensions-at-the-parents-
      too.patch. Provide means for modifying key labels in maliit-keyboard.
  * debian/libmaliit-plugins2.symbols:
    + Drop file (C++ symbols, the .symbol file is causing more woes than being
      helpful).
  * debian/{rules,control}:
    + Drop pkgkde_symbolshelper usage.
  * debian/rules:
    + Build with examples.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Aug 2024 22:31:04 +0200

maliit-framework (2.3.0-4) unstable; urgency=medium

  * debian/maliit-framework.sh:
    + Correctly set GTK_IM_MODULE/QT_IM_MODULE.
    + Also set GTK_IM_MODULE/QT_IM_MODULE for Lomiri.
  * debian/xinput/maliit:
    + Adjust to correct values for GTK_IM_MODULE / QT_IM_MODULE.
  * debian/patches:
    + Add 0004_connection-Move-dbus-socket-to-well-known-path-in-XD.patch. Move
      dbus socket to well known path in XDG_RUNTIME_DIR.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Feb 2024 08:51:15 +0100

maliit-framework (2.3.0-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * debian/libmaliit-plugins2.symbols:
    + Update other archs for LTO using buildd logs (closes: #1024999)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 29 Nov 2022 13:46:06 +0100

maliit-framework (2.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * First step to build with LTO enabled (see bug 1024999):
    + debian/rules: Enable LTO
    + create d/libmaliit-plugins2.symbols for amd64 only
  * debian/rules:
    + Use Bsymbolic-functions in Ubuntu to make the tests pass

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 29 Nov 2022 01:42:08 +0100

maliit-framework (2.3.0-3) unstable; urgency=medium

  * debian/watch:
    + Adjust watch file to Github release/tag URLs.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 21:12:37 +0200

maliit-framework (2.3.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * d/changelog: Post-upload modify 2.3.0-1 to better describe what changed
    since NMU 2.2.1-2.1.

  [ Dmitry Shachnev ]
  * Update debian/libmaliit-plugins2.symbols from buildds’ logs.
  * Mark some symbols as substs.
  * Mark some symbols as optional to fix FTBFS with -O3.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2022 01:07:16 +0200

maliit-framework (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:


=== debian/control ===
Source: maliit-framework
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libdbus-1-dev,
               libglib2.0-dev,
               libkf5wayland-dev,
               libmtdev-dev,
               libudev-dev,
               libwayland-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-xfixes0-dev,
               libxext-dev,
               pkgconf,
               qml-module-qtquick2,
               qtbase5-dev (>= 5.2),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://github.com/maliit/framework
Vcs-Browser: https://salsa.debian.org/debian/maliit-framework
Vcs-Git: https://salsa.debian.org/debian/maliit-framework.git
Rules-Requires-Root: no

Package: maliit-framework
Architecture: all
Section: misc
Depends: ${misc:Depends},
         maliit-server-qt5
Recommends: maliit-inputcontext-gtk3,
            maliit-inputcontext-qt5,
Description: Maliit Input Method Framework
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).

Package: maliit-framework-dev
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: maliit-framework-qt5-dev,
         ${misc:Depends},
Description: Maliit Input Method Framework - transitional development package
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package is a transitional package, please update your build-dependency
 and reference either maliit-framework-qt6-dev or maliit-framework-qt5-dev.

Package: libmaliit-glib2
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Breaks: libmaliit-glib0,
Replaces: libmaliit-glib0,
Description: Maliit Input Method Framework - GLib Bindings
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib bindings for the Maliit framework.

Package: libmaliit-glib-dev
Depends: libmaliit-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Section: libdevel
Description: Maliit Input Method Framework - GLib Development Headers
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib development headers for the Maliit framework.

Package: maliit-framework-doc
Depends: libjs-jquery,
         ${misc:Depends},
Architecture: all
Multi-Arch: foreign
Section: doc
Description: docs for Maliit framework
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 Documentation for the framework of Maliit.

Package: maliit-server-qt5
Architecture: any
Section: misc
Depends: libmaliit-plugins2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: maliit-framework (>= ${source:Version}),
Breaks: gir1.2-maliit-1.0 (<< ${source:Version}),
        libmaliit-glib0 (<< ${source:Version}),
        libmaliit0 (<< ${source:Version}),
        maliit-dbus-activation (<< ${source:Version}),
        maliit-inputcontext-qt4 (<< ${source:Version}),
        maliit-framework (<< 2.3.0-7~),
Replaces: maliit-framework (<< 2.3.0-7~),
Description: Maliit Input Method Framework Server (Qt5 version)
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package contains the Qt5 version of the Maliit framework server.

Package: maliit-inputcontext-qt5
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: maliit-framework (<< 2.3.0-7~),
Replaces: maliit-framework (<< 2.3.0-7~),
Description: Maliit Inputcontext for Qt5 applications
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package contains the Maliit Inputcontext plugins for Qt5
 applications.

Package: libmaliit-plugins2
Architecture: any
Multi-Arch: same
Breaks: maliit-framework (<< 0.99),
        libmaliit-plugins0,
Replaces: maliit-framework (<< 0.99),
          libmaliit-plugins0,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Maliit Input Method Framework - Plugin Library (Qt5 version)
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the maliit plugin library for the Maliit
 framework (Qt5 version).

Package: maliit-framework-qt5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmaliit-plugins2 (= ${binary:Version}),
         ${misc:Depends},
Description: Maliit Input Method Framework - Development Files (Qt5 version)
 Maliit provides a flexible and cross-platform input method framework.
 It has a plugin-based client-server architecture where applications act
 as clients and communicate with the Maliit server via input context
 plugins. The communication link currently uses D-Bus or the Wayland
 text-input extension. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package is needed to compile plugins for the Maliit framework (Qt5
 version).

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,35 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+NULL =
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+
+# makes the tests pass in Ubuntu
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
+export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# for stable-backports
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
+%:
+	dh $@ --
 
-%:
-	dh $@ --with pkgkde_symbolshelper
+override_dh_auto_configure:
+	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- \
+		-DBUILD_WITH_QT6=OFF -Denable-glib=ON  -Denable_examples=ON ..
+
+override_dh_auto_build:
+	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake ..
 
 override_dh_install:
+	# drop duplicate files from Qt6 variant build
+	rm -rf debian/tmp/usr/share/doc/maliit6-framework-doc
+
 	# re-arrange files in doc:pkg
 	mv debian/tmp/usr/share/doc/maliit-framework-doc debian/tmp/usr/share/doc/maliit-framework/html
 	rm debian/tmp/usr/share/doc/maliit-framework/LICENSE.LGPL*
@@ -32,7 +50,14 @@
 	-find debian/maliit-framework-doc/ -name .gitignore -delete
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test --no-parallel
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT5)))
+	xvfb-run -a dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake --no-parallel ..
+endif
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## maliit-framework 2.3.0+p22.04+vrelease+git20240824.0946

=== debian/changelog ===
maliit-framework (2.3.0+p22.04+vrelease+git20240824.0946-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Aug 2024 09:46:45 +0000

maliit-framework (2.3.0-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 19:06:32 +1000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu26) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:03:38 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu25) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:05 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu24) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:30:24 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu23) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 11:44:04 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu22) disco; urgency=medium

  * Rebuild against qtbase-abi-5-12-2.
  * debian/rules: Add s390x to list of architectures to skip tests on.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:18:47 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu21) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-3.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 03:55:25 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu20) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 13 Nov 2018 17:30:00 -0600

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu19) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:56:19 -0500

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu18) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:00:20 -0500

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu17) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:49:35 -0600

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu16) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:19:13 -0500

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu15) artful; urgency=medium

  * Build-depend on qml-module-qtquick2 instead of transitional package
    qtdeclarative5-qtquick2-plugin.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Jun 2017 15:03:09 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu14) zesty; urgency=medium

  [ Michael Sheldon ]
  * debian/patches/0017-maliit-config-path-environment-variable.patch:
    - Allow the maliit config to be set via an environment variable

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 06 Feb 2017 09:46:21 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu13~2) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 08:56:43 +0200

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu12) zesty; urgency=medium

  [ Michael Sheldon ]
  * debian/patches/0016-set-plugin-path-from-environment.patch:
    - Allow the plugin path to be set from an environment variable

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 04 Nov 2016 18:00:08 +0100

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu11) yakkety; urgency=medium

  [ Andreas Pokorny ]
  * Add compose-input-platform-in-maliit.patch to load qts compose key input
    context plugin
    (LP: #1607237)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 04 Aug 2016 14:40:45 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu11~2) yakkety; urgency=medium

  * Rebuild against Qt 5.6.
  * Disable tests on powerpc because of failures.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 14:08:56 +0300

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu10) yakkety; urgency=medium

  * debian/patches/0015-obey-unity8-focus.patch:
    - Fix FocusInfo dbus path (LP: #1599145)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 05 Jul 2016 14:18:38 +0000

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu9) yakkety; urgency=medium

  [ Michael Sheldon ]
  * debian/patches/0015-obey-unity8-focus.patch:
    - Ensure that an application has focus before allowing it to claim input
      if we're running under Unity8

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Add the libdbus-1-dev build-dep as per new patch requirement

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 27 Jun 2016 14:45:04 +0200

maliit-framework (0.99.1+git20151118+62bd54b-0ubuntu5) vivid; urgency=medium

  * Add a fix that has been merged upstream. Checking the
    MALIIT_SERVER_ADDRESS for the qt input context.

 -- Brandon Schaefer <brandontschaefer@gmail.com>  Tue, 24 May 2016 12:06:11 -0700

=== debian/control ===
Source: maliit-framework
Section: libs
Priority: extra
XSBC-Original-Maintainer: Debian Mobile Team <debian-mobile@lists.debian.org>
Uploaders: Michał Zając <quintasan@kubuntu.org>, Iain Lane <laney@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               doxygen,
               graphviz,
               libdbus-1-dev,
               libglib2.0-dev,
               libmtdev-dev,
               libudev-dev,
               libwayland-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-xfixes0-dev,
               libxext-dev,
               pkg-config,
               qtbase5-dev (>= 5.2),
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols
Standards-Version: 3.9.6
Homepage: https://wiki.maliit.org
Vcs-Bzr: lp:~ubuntu-core-dev/maliit/maliit-framework-ubuntu
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maliit-framework.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maliit-framework
Maintainer: Neon CI <neon@kde.org>

Package: maliit-framework
Architecture: any
Depends: qml-module-qtquick-localstorage, ${misc:Depends}, ${shlibs:Depends}
Breaks: gir1.2-maliit-1.0 (<< ${source:Version}),
        libmaliit-glib0 (<< ${source:Version}),
        libmaliit0 (<< ${source:Version}),
        maliit-dbus-activation (<< ${source:Version}),
        maliit-inputcontext-qt4 (<< ${source:Version})
Description: Maliit Input Method Framework
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).

Package: libmaliit-plugins2
Architecture: any
Breaks: libmaliit-plugins0 (<< ${source:Version}~ciBuild),
        maliit-framework (<< 0.99)
Replaces: libmaliit-plugins0 (<< ${source:Version}~ciBuild),
          maliit-framework (<< 0.99)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Input Method Framework - Plugin Library
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the maliit plugin library for the Maliit framework.

Package: maliit-framework-dev
Architecture: any
Section: libdevel
Depends: maliit-framework (= ${binary:Version}), ${misc:Depends}
Description: Maliit Input Method Framework - Development Files
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package is needed to compile plugins for the Maliit framework

Package: maliit-framework-dbg
Section: debug
Architecture: any
Depends: maliit-framework (= ${binary:Version}), ${misc:Depends}
Description: Maliit Input Method Framework - Debug symbols
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package contains debugging symbols.

Package: gir1.2-maliit-1.0
Depends: maliit-framework, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libmaliit-glib2
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Section: libs
Breaks: libmaliit-glib0 (<< ${source:Version}~ciBuild)
Replaces: libmaliit-glib0 (<< ${source:Version}~ciBuild)
Description: Maliit Input Method Framework - GLib Bindings
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib bindings for the Maliit framework.

Package: libmaliit-glib-dev
Depends: libmaliit-glib2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Section: libdevel
Description: Maliit Input Method Framework - GLib Development Headers
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides GLib development headers for the Maliit framework.

Package: libmaliit0
Depends: maliit-framework, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: maliit-dbus-activation
Depends: maliit-framework, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: maliit-inputcontext-qt4
Depends: maliit-framework, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: maliit-framework-doc
Depends: maliit-framework, ${misc:Depends}
Architecture: all
Section: docs
Description: docs for Maliit framework
 Documentation for the framework of Maliit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@

override_dh_auto_test:
	true
